----------------------------------------------
-- MarsBox.lua
-- by Lygin Gennady a.k.a. Croc 13.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  MarsFrameWidth, MarsFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
MarsBox = CXBox:new()    
   -- :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

MarsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ma"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(MarsBox,0,0,0,0) 

MarsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(MarsBox, 20, 0, 0, 0)

MarsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    MarsButton.Visible = GuidesVisibility -- display or undisplay Button
    MarsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if MarsCheck.Text ==  "o" then
		MarsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

MarsButton.Action = (function()
        return
            function()
              display_Mars= not display_Mars
                if display_Mars then                    				
                    MarsFrame.Visible = true                    
                    MarsCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    MarsFrame.Visible = false                  
                    MarsCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
--------------------------------------------------------------
MarsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-MarsFrameWidth)/2, height-MarsFrameHeight-2, (width-MarsFrameWidth)/2, 2)

 MarsFrame.Customdraw = function(this)

            if Mars_firstTickDone then
            if not(MarsCloseButtonDone) then
                MarsCloseButtonDone = true
                makeCloseButton(MarsCloseButton, MarsFrame, MarsButton)
            end
            else
                Mars_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then 
                    MarsFrame:attach(screenBox, width-MarsFrameWidth-36, height-MarsFrameHeight-128-27, 36, 128+27)
               else
                    MarsFrame:attach(screenBox, width-MarsFrameWidth-200, height-MarsFrameHeight-3, 200, 3) 
               end                     
            end
      
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({1,1,0,0.8})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_("  MARS EXPLORATION"))
end
--=================
-- Подключение команд 
--=================
Mars101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Date of start:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=================
Mars102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--=================
Mars103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-3), 128, 5+14*3)
---------------------------------
Mars203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 4"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-3), 49, 5+14*3)

Mars303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("28-11-64"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-3), 2, 5+14*3)
--=================
Mars104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-4), 128, 5+14*4)
---------------------------------
Mars204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 6"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-4), 49, 5+14*4)

Mars304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("24-02-69"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-4), 2, 5+14*4)
--=================
Mars105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-5), 128, 5+14*5)
---------------------------------
Mars205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 9"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-5), 49, 5+14*5)

Mars205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 9")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Mars:Mariner%209/1971-12-01T00:52:18.83351?x=7ewZs/7//////////////w&y=Ia+BOv///////////////w&z=L/cJbAE&ow=0.405855&ox=0.216576&oy=0.332482&oz=-0.823305&track=Sol:Mars:Mariner%209&select=Sol:Mars:Mariner%209&fov=103.257&ts=100&ltd=0&p=0&rf=2164115&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-5), 2, 5+14*5)
--=================
Mars106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-6),  128, 5+14*6)
---------------------------------
Mars206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-6), 49, 5+14*6)

Mars306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("19-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-6), 2, 5+14*6)
--=================
Mars107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-7), 128, 5+14*7)
----------------------------------
Mars207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 3"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-7), 49, 5+14*7)

Mars307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("28-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-7), 2, 5+14*7)
--=================
Mars108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-8),  128, 5+14*8)
---------------------------------
Mars208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 4"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-8), 49, 5+14*8)

Mars308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("21-07-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-8), 2, 5+14*8)
--=================
Mars109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-9), 128, 5+14*9)
---------------------------------
Mars209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 5"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-9), 49, 5+14*9)

Mars309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("25-07-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-9), 2, 5+14*9)
--=================
Mars110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-10),  128, 5+14*10)
---------------------------------
Mars210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 6"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-10), 49, 5+14*10)

Mars310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("05-08-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-10), 2, 5+14*10)
--=================
Mars111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-11),  128, 5+14*11)
--------------------------------
Mars211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 7"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-11), 49, 5+14*11)

Mars311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-08-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-11), 2, 5+14*11)
--=================
Mars112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-12), 128, 5+14*12)
---------------------------------
Mars212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Viking-1"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-12), 49, 5+14*12)

Mars212Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Viking1")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Mars:viking1landingplace:Viking1/1976-07-21T02:48:16.22812?x=NuFrTPv//////////////w&y=qzGfF/z//////////////w&z=155IZgk&ow=0.0368307&ox=0.211532&oy=0.190023&oz=-0.958013&track=Sol:Mars:viking1landingplace:Viking1&select=Sol:Mars:viking1landingplace:Viking1&fov=21.4031&ts=500&ltd=0&p=0&rf=2164115&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("20-08-75"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-12), 2, 5+14*12)
--=================
Mars113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-13), 128, 5+14*13)
---------------------------------
Mars213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Viking-2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-13), 49, 5+14*13)

Mars213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Viking2")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Mars:viking2landingplace:Viking2/1976-09-03T10:07:24.09744?x=nZRs2/3//////////////w&y=6HW5yg&z=ZE3LEv///////////////w&ow=0.325292&ox=0.7999&oy=0.219289&oz=-0.454156&track=Sol:Mars:viking2landingplace:Viking2&select=Sol:Mars:viking2landingplace:Viking2&fov=87.1873&ts=250&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-09-75"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-13), 2, 5+14*13)
--=================
Mars114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-14), 128, 5+14*14)

Mars214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars Observer"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-14), 49, 5+14*14)

Mars214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Observer")  
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Mars%20Observer/1992-09-27T05:01:55.21029?x=evy2EQ&y=R037xQ&z=D+BDKg&ow=0.628382&ox=0.473791&oy=-0.414163&oz=-0.457304&track=Sol:Mars%20Observer&select=Sol:Mars%20Observer&fov=87.1873&ts=2500&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Mars314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("25-09-92"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-14), 2, 5+14*14)	
--=================
Mars115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-15), 128, 5+14*15)

Mars215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.G.Surveyor"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-15), 49, 5+14*15)

Mars215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MGS")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Mars:Mars%20Global%20Surveyor/2001-03-04T18:23:58.00363?x=IzDvB////////////////w&y=hTsHyPn//////////////w&z=gaiuXAE&ow=0.763518&ox=-0.589857&oy=0.215197&oz=-0.150995&track=Sol:Mars:Mars%20Global%20Surveyor&select=Sol:Mars:Mars%20Global%20Surveyor&fov=87.1873&ts=10&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Mars315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("07-11-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-15), 2, 5+14*15)
--=================
Mars116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-16), 128, 5+14*16)

Mars216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.Pathfinder"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-16), 49, 5+14*16)

Mars216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Mars/Mars Pathfinder")           
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Mars%20Pathfinder/1997-07-04T04:42:54.06557?x=ebya7QE&y=sd2Ij/3//////////////w&z=lQUJY/7//////////////w&ow=0.245798&ox=0.149535&oy=-0.841367&oz=0.45752&track=Sol:Mars:Mars%20Pathfinder&select=Sol:Mars:Mars%20Pathfinder&fov=87.1873&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()

Mars316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-12-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-16), 2, 5+14*16)
--=================
Mars117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-17), 128, 5+14*17)

Mars217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Sojourner"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-17), 49, 5+14*17)

Mars217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Mars/Sojourner")       
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Sojourner/2018-09-27T15:50:10.80926?x=w9PEwP///////////////w&y=Vhqs+P///////////////w&z=UJwWy////////////////w&ow=0.414996&ox=-0.293141&oy=0.856553&oz=0.0903491&track=Sol:Mars:Sojourner&select=Sol:Mars:Sojourner&fov=77.6084&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Mars317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-12-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-17), 2, 5+14*17)
--=================
Mars118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-18), 2, 5+14*18)

Mars218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Nozomi"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-18), 49, 5+14*18)

Mars218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Nozomi (Planet-B)") 
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Nozomi%20(Planet-B)/2000-08-01T07:47:20.83913?x=6p/0ZQE&y=YwFQmun//////////////w&z=Njow7g8&ow=-0.619644&ox=0.298911&oy=0.348169&oz=-0.636767&track=Sol:Nozomi%20(Planet-B)&select=Sol:Nozomi%20(Planet-B)&fov=42.8869&ts=100000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()       

Mars318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-07-98"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-18), 2, 5+14*18)
--=================
Mars119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-19), 128, 5+14*19)

Mars219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars  Odyssey"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-19), 49, 5+14*19)

Mars219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Odyssey")  
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Mars:Mars%20Odyssey/2002-04-17T00:53:02.55337?x=qpTNqfb//////////////w&y=LGQQoff//////////////w&z=bLQt3g0&ow=-0.395931&ox=0.344063&oy=0.103704&oz=-0.845047&track=Sol:Mars:Mars%20Odyssey&select=Sol:Mars:Mars%20Odyssey&fov=42.8869&ts=10&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Mars319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("07-04-01"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-19), 2, 5+14*19)
--=================
Mars120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-20), 128, 5+14*20)
---------------------------------
Mars220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars Express orb1"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-20), 49, 5+14*20)

Mars220Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb1")  
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:Mars:Mars%20Express%20orb1/Sol:Mars/2003-12-25T03:28:32.50666?x=iih7Z/j//////////////w&y=rurR7f///////////////w&z=9gNAoP///////////////w&ow=0.0681992&ox=0.720033&oy=0.0783748&oz=-0.686119&track=Sol:Mars:Mars%20Express%20orb1&select=Sol:Mars:Mars%20Express%20orb1&fov=42.8869&ts=50&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("25-12-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-20), 2, 5+14*20)
--=================
Mars121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-21), 128, 5+14*21)
---------------------------------
Mars221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars Express orb2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-21), 49, 5+14*21)

Mars221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb2")           
             celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://PhaseLock/Sol:Mars:Mars%20Express%20orb2/Sol:Mars/2005-03-08T22:55:45.99946?x=QYRnB/3//////////////w&y=cFcNNw&z=22wmuf///////////////w&ow=-0.0984826&ox=-0.737042&oy=-0.0549919&oz=0.666368&track=Sol:Mars:Mars%20Express%20orb2&select=Sol:Mars:Mars%20Express%20orb2&fov=103.283&ts=5&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("25-12-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-21), 2, 5+14*21)
--=================
Mars122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 3, 2+14*(gg-22), 128, 5+14*22)
---------------------------------
Mars222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("MER-A Spirit"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-22), 49, 5+14*22)

Mars222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/MER-A (Spirit)")         
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:MER-A%20(Spirit)/Sol:Earth/2003-06-10T18:37:21.95243?x=AR1m7/7//////////////w&y=MOVaAg&z=Uo36vv///////////////w&ow=0.470581&ox=-0.50548&oy=0.60041&oz=0.403176&track=Sol:MER-A%20(Spirit)&select=Sol:MER-A%20(Spirit)&fov=103.283&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("10-06-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-22), 2, 5+14*22)	
--=================
Mars123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-23), 128, 5+14*23)
---------------------------------
Mars223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Spirit"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-23), 49, 5+14*23)

Mars223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Spirit")           
            celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Mars:Spirit/2004-01-04T17:36:16.22868?x=XFnL8v///////////////w&y=9+vnuP///////////////w&z=nzh0Zw&ow=-0.0344348&ox=0.0654669&oy=0.293083&oz=-0.953221&track=Sol:Mars:Spirit&select=Sol:Mars:Spirit&fov=103.283&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-01-04"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-23), 2, 5+14*23)	
--=================
Mars124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-24), 128, 5+14*24)
---------------------------------
Mars224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("MER-B Opport."))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-24), 49, 5+14*24)

Mars224Box.Action = (function()
    return 
      function()      
         local obj = celestia:find("sol/MER-B (Opportunity)")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:MER-B%20(Opportunity)/2003-07-08T05:18:30.97995?x=JOAZB////////////////w&y=oSMvwP///////////////w&z=wKPeL////////////////w&ow=0.393936&ox=0.147259&oy=0.89052&oz=-0.173501&track=Sol:MER-B%20(Opportunity)&select=Sol:MER-B%20(Opportunity)&fov=103.283&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-07-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-24), 2, 5+14*24)
--=================
Mars125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-25), 128, 5+14*25)
---------------------------------
Mars225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Opportunity"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-25), 49, 5+14*25)

Mars225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Opportunity")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Opportunity/2004-01-25T17:06:00.78820?x=H7o0bw&y=AZwyEA&z=lPMH2f///////////////w&ow=0.428008&ox=0.63058&oy=-0.515927&oz=0.391148&track=Sol:Mars:Opportunity&select=Sol:Mars:Opportunity&fov=103.283&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("25-01-04"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-25), 2, 5+14*25)
--=================
Mars126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-26), 128, 5+14*26)
---------------------------------
Mars226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.Rec.Orbiter"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-26), 49, 5+14*26)

Mars226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MRO")           
             celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://PhaseLock/Sol:Mars:MRO/Sol:Mars/2007-03-04T18:24:53.57935?x=Q8RaZvz//////////////w&y=M9Ty9v///////////////w&z=56ReqP7//////////////w&ow=0.504232&ox=-0.39105&oy=0.722321&oz=0.266611&track=Sol:Mars:MRO&select=Sol:Mars:MRO&fov=103.283&ts=5&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-08-05"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-26), 2, 5+14*26)
--=================
Mars127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-27), 128, 5+14*27)
---------------------------------
Mars227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Phoenix "))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-27), 49, 5+14*27)

Mars227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Phoenix Lander")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://PhaseLock/Sol:Mars:Phoenix%20Lander/Sol:Mars/2008-05-26T05:12:39.29274?x=9QHvRv7//////////////w&y=f1bXt/7//////////////w&z=jBvgYP///////////////w&ow=0.583604&ox=-0.61592&oy=0.509568&oz=0.142789&track=Sol:Mars:Phoenix%20Lander&select=Sol:Mars:Phoenix%20Lander&fov=66.5947&ts=200&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
--------------------------------
Mars327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-08-07"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-27), 2, 5+14*27)
--=================
Mars128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-28), 128, 5+14*28)
---------------------------------
Mars228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)        
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("Phobos-Grunt"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-28), 49, 5+14*28)
	
Mars228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Phobos-Grunt")           
            celestia:select(obj)           
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Phobos-Grunt/2011-11-08T20:32:47.03533?x=btLd9v///////////////w&y=dic8UwM&z=KcAglv///////////////w&ow=0.187005&ox=0.219404&oy=-0.716638&oz=-0.635076&track=Sol:Earth:Phobos-Grunt&select=Sol:Earth:Phobos-Grunt&fov=66.5947&ts=20&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
---------------------------------
Mars328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("09-11-11"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-28), 2, 5+14*28)
--=================
Mars129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-29), 128, 5+14*29)
---------------------------------
Mars229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("m/r Curiosity"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-29), 49, 5+14*29)

Mars229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Curiosity")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Curiosity/2012-08-06T05:19:39.11569?x=oHnLNgE&y=+74QAQ&z=Nycglf///////////////w&ow=0.447312&ox=0.521438&oy=-0.625055&oz=0.370567&track=Sol:Mars:Curiosity&select=Sol:Mars:Curiosity&fov=66.5947&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Mars329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("26-11-11"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-29), 2, 5+14*29)
--=================
Mars130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-30), 128, 5+14*30)
---------------------------------
Mars230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("MAVEN"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-30), 49, 5+14*30)
---------------------------------
Mars230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MAVEN")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Mars:MAVEN/2014-09-23T00:23:01.17259?x=OIZch////////////////w&y=wCur7Pv//////////////w&z=JiSbIAI&ow=0.225907&ox=-0.0788788&oy=0.513434&oz=-0.824093&track=Sol:Mars:MAVEN&select=Sol:Mars:MAVEN&fov=66.5947&ts=100&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Mars330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("18-11-13"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-30), 2, 5+14*30)
--=================
Mars131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-31), 128, 5+14*31)
---------------------------------
Mars231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("Tesla Roadster"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-31), 49, 5+14*31)
	
Mars231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Tesla Roadster")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Tesla%20Roadster/2018-02-07T00:02:55.17547?x=DgudjAE&y=iKhdBPr//////////////w&z=IAi78gM&ow=0.377631&ox=-0.308963&oy=0.367919&oz=-0.791563&track=Sol:Tesla%20Roadster&select=Sol:Tesla%20Roadster&fov=66.5947&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Mars331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("07-02-18"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-31), 2, 5+14*31)
--=================
Mars132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-32), 128, 5+14*32)

Mars232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("InSight"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-32), 49, 5+14*32)
	
Mars232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("InSight")           
             celestia:select(obj)           
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:InSight/Sol:Earth/2018-05-05T12:43:19.00151?x=caMWC/7//////////////w&y=Ubbh+v///////////////w&z=USzXAg&ow=0.548246&ox=0.441599&oy=0.549687&oz=-0.449735&track=Sol:InSight&select=Sol:InSight&fov=66.5947&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Mars332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("05-05-18"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-32), 2, 5+14*32)
--=================
Mars133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-33), 128, 5+14*33)
---------------------------------
Mars233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-33), 49, 5+14*33)
---------------------------------
Mars333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-33), 2, 5+14*33)
--=================
Mars134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-34), 128, 5+14*34)
---------------------------------
Mars234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-34), 49, 5+14*34)
---------------------------------
Mars334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-34), 2, 5+14*34)
--=================
Mars135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-35), 128, 5+14*35)
---------------------------------
Mars235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-35), 49, 5+14*35)
---------------------------------
Mars335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-35), 2, 5+14*35)
--=================
Mars136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-36), 128, 5+14*36)
---------------------------------
Mars236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-36), 49, 5+14*36)
---------------------------------
Mars336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-36), 2, 5+14*36)
--=================
Mars137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-37), 128, 5+14*37)
---------------------------------
Mars237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-37), 49, 5+14*37)
---------------------------------
Mars337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-37), 2, 5+14*37)
--=================
Mars138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-38), 128, 5+14*38)
---------------------------------
Mars238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-38), 49, 5+14*38)
---------------------------------
Mars338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-38), 2, 5+14*38)
--=================
Mars139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-39), 128, 5+14*39)
---------------------------------
Mars239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-39), 49, 5+14*39)
---------------------------------
Mars339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-39), 2, 5+14*39)
--=================
Mars140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-40), 128, 5+14*40)
---------------------------------
Mars240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-40), 49, 5+14*40)
---------------------------------
Mars340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-40), 2, 5+14*40)
--=================
Mars141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-41), 128, 5+14*41)
---------------------------------
Mars241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 44, 2+14*(gg-41), 49, 5+14*41)
---------------------------------
Mars341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 123, 2+14*(gg-41), 2, 5+14*41)
--======================================